Bug 17594 - Make Koha::Object->discard_changes available
Summary: Make Koha::Object->discard_changes available
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17579
  Show dependency treegraph
 
Reported: 2016-11-09 13:20 UTC by Jonathan Druart
Modified: 2017-06-14 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17594: Make Koha::Object->discard_changes available (1.96 KB, patch)
2016-11-09 13:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17594: Make Koha::Object->discard_changes available (2.18 KB, patch)
2016-11-15 10:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17594: Make Koha::Object->discard_changes available (2.25 KB, patch)
2016-11-15 10:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17594: Make Koha::Object->discard_changes available (2.29 KB, patch)
2016-11-15 15:18 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-09 13:20:05 UTC

    
Comment 1 Jonathan Druart 2016-11-09 13:21:17 UTC
Created attachment 57385 [details] [review]
Bug 17594: Make Koha::Object->discard_changes available

We need this new method to refresh an object after it has been updated.

Test plan:
  prove t/db_dependent/Koha/Object.t
should return green
Comment 2 Josef Moravec 2016-11-15 09:54:00 UTC
I am sorry:

t/db_dependent/Koha/Object.t .. 2/7 Bareword "dt_from_string" not allowed while "strict subs" in use at t/db_dependent/Koha/Object.t line 97.
Execution of t/db_dependent/Koha/Object.t aborted due to compilation errors.
Comment 3 Jonathan Druart 2016-11-15 10:32:58 UTC
Created attachment 57484 [details] [review]
Bug 17594: Make Koha::Object->discard_changes available

We need this new method to refresh an object after it has been updated.

Test plan:
  prove t/db_dependent/Koha/Object.t
should return green
Comment 4 Josef Moravec 2016-11-15 10:36:21 UTC
Created attachment 57485 [details] [review]
[SIGNED-OFF] Bug 17594: Make Koha::Object->discard_changes available

We need this new method to refresh an object after it has been updated.

Test plan:
  prove t/db_dependent/Koha/Object.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Kyle M Hall 2016-11-15 15:18:53 UTC
Created attachment 57496 [details] [review]
Bug 17594: Make Koha::Object->discard_changes available

We need this new method to refresh an object after it has been updated.

Test plan:
  prove t/db_dependent/Koha/Object.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2016-11-15 15:19:31 UTC
Pushed to master for 16.11, thanks Jonathan!